interface Iapi {
    login(opts: {
        code: string;
        password: string;
    }): Promise<any>;
    checkDept(opts: {
        deptId: string;
        functionId: string;
    }): Promise<any>;
    getUserInfoByToken(opts: {
        token: string;
    }): Promise<any>;
    getUserDeptList(opts: {
        userId: string;
        organizationId: string;
    }): Promise<any>;
    setPassWord(opts: {
        userId: string;
        password: string;
        newPassword: string;
    }): Promise<any>;
    getAuthDeptList(opts: {
        userId: string;
        targetAppId: string;
    }): Promise<any>;
    getUserSpecRightList(opts: {
        userId: string;
    }): Promise<any>;
    caLogin(opts: {
        code: string;
        caId: string;
    }): Promise<any>;
    getApplist(opts: {
        applicationId?: string;
        firmId?: string;
    }): Promise<any>;
    registerSpecRight(opts: {
        id: string;
        Name: string;
        categoryId: string;
        remark?: string;
        registerUserId: string;
        registerUserName: string;
    }): Promise<any>;
    registerAppMenu(opts: {
        appModules: Array<{
            id: string;
            name: string;
            parentId?: string;
            title: string;
            path?: string;
            component?: string;
            icon?: string;
            registerUserId: string;
            registerUserName: string;
            sceneId: string;
            describe?: string;
            remark?: string;
        }>;
        initFlag?: number;
    }): Promise<any>;
    registerAppMenuOper(opts: {
        opers: Array<{
            moduleId: string;
            id: string;
            name: string;
            path?: string;
            remark?: string;
            registerUserId: string;
            registerUserName: string;
            sceneId: string;
            describe?: string;
        }>;
        initFlag?: number;
    }): Promise<any>;
    getAppMenuList(opts: {
        userId: string;
    }): Promise<any>;
    getAppMenuOperList(opts: {
        userId: string;
        moduleId: string;
    }): Promise<any>;
    getAppUserRightList(opts: {
        userId: string;
    }): Promise<any>;
    setVisitRecord(opts: {
        userId: string;
        moduleId: string;
        clientCode?: string;
    }): Promise<any>;
    getVisitRecordList(opts: {
        userId: string;
        sortOrder?: string;
    }): Promise<any>;
    getCommonMenuList(opts: {
        userId: string;
    }): Promise<any>;
    registerCommonMenu(opts: {
        userId: string;
        moduleId: string;
    }): Promise<any>;
    registerCommonMenuCancel(opts: {
        userId: string;
        moduleId: string;
    }): Promise<any>;
    sortCommonMenu(opts: {
        userId: string;
        moduleOrder: [{
            orderNo: 'Number';
            moduleId: string;
        }];
    }): Promise<any>;
    getOrgList(opts: {
        id: string;
        name: string;
        orgLevelCode: string;
        orgLevelName: string;
        code: string;
        address: string;
        telephone: string;
        major: Number;
        spellCode?: string;
        orderNo: string;
        strokeCode?: string;
        remark?: string;
    }): Promise<any>;
    getInfoByDept(opts: {
        deptId: string;
    }): Promise<any>;
    checkOrgSame(opts: {
        deptId1: string;
        deptId2: string;
    }): Promise<any>;
    checkNurseUnitLeader(opts: {
        nursingUnitId: string;
        userId: string;
    }): Promise<any>;
    checkDeptLeader(opts: {
        userId: string;
        deptId: string;
    }): Promise<any>;
    getSerialNum(opts: {
        applicationId: string;
        serialId: string;
        subId?: string;
        obtainUserId: string;
        obtainUserName: string;
    }): Promise<any>;
    registerSerialNum(opts: {
        applicationId: string;
        serialId: string;
        serialName: string;
        description?: string;
        subId?: string;
        prefix?: string;
        format: string;
        numberLen: string;
        remark?: string;
        registerUserId: string;
        registerUserName: string;
    }): Promise<any>;
    getDictDataPage(opts: {
        dictId: 'MODULE_CATEGORY';
        pageSize: 1000;
        currentPage: 1;
    }): Promise<any>;
    getAppMenuCateList(opts: {
        categoryId?: string;
        appId?: string;
    }): Promise<any>;
    getAppDictDataPage(opts: {
        appDictId: string;
        current: number;
    }): Promise<any>;
    getAppParamList(opts: {
        paramId: string;
        subId?: string;
    }): Promise<any>;
    getSystemParamList(opts: {
        moduleId: string;
    }): Promise<any>;
    getSystemParamValue(opts: {
        paramId: string;
        subId?: string;
        moduleId: string;
    }): Promise<any>;
    setSystemParam(opts: {
        paramId: string;
        paramName: string;
        paramDefaultValue?: string;
        paramValueList?: string;
        paramDesc?: string;
        remark?: string;
        moduleId: string;
        settingUserId: string;
        settingUserName: string;
    }): Promise<any>;
    getLocalParamList(opts: {
        clientId: string;
        moduleId: string;
    }): Promise<any>;
    getLocalParamValue(opts: {
        paramId: string;
        clientId: string;
        moduleId: string;
    }): Promise<any>;
    setLocalParam(opts: {
        paramId: string;
        paramName: string;
        paramDefaultValue?: string;
        paramValueList?: string;
        paramDesc?: string;
        remark?: string;
        moduleId: string;
        settingUserId: string;
        settingUserName: string;
        version: string;
    }): Promise<any>;
    setLocalParamValue(opts: {
        paramId: string;
        clientId?: string;
        paramValue: string;
        remark?: string;
        settingUserId: string;
        settingUserName: string;
    }): Promise<any>;
    getSystemParamValueList(opts: {
        paramId: string;
    }): Promise<any>;
    checkClient(opts: {
        id?: string;
        macAddress?: string;
        ipAddr?: string;
    }): Promise<any>;
    registerClient(opts: {
        id: string;
        name: string;
        orgId: string;
        ipAddr: string;
        hostName: string;
        macAddress: string;
        clientInfo?: string;
        remark?: string;
        registerUserCode: string;
        registerUserName: string;
        registerUserPassword: string;
    }): Promise<any>;
    getClientInfo(opts: {
        id: string;
    }): Promise<any>;
    getDataValidRuleList(opts: {
        id: string;
        name: string;
        oraclePattern?: string;
        netPattern?: string;
        javaPatten?: string;
        jsPatten?: string;
        vuePatten?: string;
        ruleDesc?: string;
        remark?: string;
    }): Promise<any>;
    getUniqueKey(): Promise<any>;
    packageRegister(opts: any): Promise<any>;
    getDeptListByOrg(opts: {
        orgId: string;
    }): Promise<any>;
    getOrgBuildingList(opts: {
        orgId: string;
    }): Promise<any>;
    getOrgUserList(opts: {
        orgId?: string;
        deptId?: string;
        flag?: '' | null | 1 | 2 | 3;
        sceneId?: string;
    }): Promise<any>;
    getDictList(opts: {
        enabled?: number;
        id?: string;
        name?: string;
        spellCode?: string;
        strokeCode?: string;
        tableName: string;
    }): Promise<any>;
    /**
     * 获取住院患者年龄
     * @param opts
     * algorithmFlag（必传） 计算方式标志 0：挂号日期为当前时间 1：挂号日期为入院时间or入区时间；出院时间or出区时间
     * birthDate （必传）出生日期 yyyy-MM-dd HH:mm:ss
     * flag（必传）：0：周岁 1：虚岁
     * registrationDate （必传）挂号日期 yyyy-MM-dd HH:mm:ss
     */
    getInpatientAge(opts: {
        algorithmFlag: number;
        birthDate: string;
        flag: number;
        registrationDate: string;
    }): Promise<any>;
    /**
     *获取门诊患者年龄
     * @param opts
     * showFlag（必传）显示标志： 0: 25月  1: 2岁1月
     * registrationDate（必传） 挂号日期  yyyy-MM-dd HH:mm:ss
     * flag（必传）：0：周岁 1：虚岁
     * birthDate（必传） 出生日期 yyyy-MM-dd HH:mm:ss
     */
    getOutpatientAge(opts: {
        showFlag: number;
        birthDate: string;
        flag: number;
        registrationDate: string;
    }): Promise<any>;
    /**
   *根据工号获取用户信息
   * @param opts
   * code（必传）工号
   */
    getUserByCode(opts: {
        code: string;
    }): Promise<any>;
}
export default Iapi;
